View Issue Details

IDProjectCategoryView StatusLast Update
0006957CentOS-6ipa-serverpublic2014-10-07 17:53
ReporterJHogarth Assigned To 
PrioritynormalSeveritytweakReproducibilityalways
Status resolvedResolutionfixed 
Product Version6.5 
Summary0006957: The ipa-server-install scripts adds the redhat ntp servers to /etc/ntp.conf
DescriptionThe IPA server is installed from the command ipa-server-install. This gather details and then configures the system suitable to run IPA.

One of the things necessary is a valid time source due to the use of kerberos.

As part of the install ipa-server-install appends this to /etc/ntp.conf:

### Added by IPA Installer ###
server 0.rhel.pool.ntp.org
server 1.rhel.pool.ntp.org
server 2.rhel.pool.ntp.org
server 127.127.1.0
fudge 127.127.1.0 stratum 10

The original server entries are removed during this process.
Steps To Reproduce1) Get a minimal install of C6
2) yum install bind-dyndb-ldap ipa-server libsss_sudo
3) hostname notlocalhost.domain.local
4) echo "$(ip a s dev eth0 | awk '$0 ~ /scope global eth0/ {print $2}' | cut -d'/' -f 1) $(hostname)" >> /etc/hosts
5) ipa-server-install -U --hostname=notlocalhost.domain.local --ip-address=$(ip a s dev eth0 | awk '$0 ~ /scope global eth0/ {print $2}' | cut -d'/' -f 1) -r DOMAIN.LOCAL -n c6ipa.local -p p455w0rd -a p455w0rd --ssh-trust-dns --setup-dns --forwarder=$(awk '$0 ~ /nameserver/ {print $2}' /etc/resolv.conf | head -n 1)
6) grep rhel /etc/ntp.conf
Additional InformationThe installer is a python script and the bit that writes the ntp info is in /usr/lib/python2.6/site-packages/ipaserver/install/ntpinstance.py

# We use the OS variable to point it towards either the rhel
        # or fedora pools. Other distros should be added in the future
        # or we can get our own pool.
        os = ""
        if ipautil.file_exists("/etc/fedora-release"):
            os = "fedora"
        elif ipautil.file_exists("/etc/redhat-release"):
            os = "rhel"

        srv_vals = []
        srv_vals.append("0.%s.pool.ntp.org" % os)
        srv_vals.append("1.%s.pool.ntp.org" % os)
        srv_vals.append("2.%s.pool.ntp.org" % os)
        srv_vals.append("127.127.1.0")
        fudge = ["fudge", "127.127.1.0", "stratum", "10"]

Should be a pretty clean patch that'd be easy to apply to future updates.
TagsNo tags attached.

Relationships

related to 0007257 resolvedJohnnyHughes CentOS-7 The ipa-server-install scripts adds the redhat ntp servers to /etc/ntp.conf 

Activities

tigalch

tigalch

2014-02-04 18:38

manager   ~0019217

confirmed on a fresh C6 VM
tigalch

tigalch

2014-06-26 11:06

manager   ~0020051

This also happens on C7-QA
JohnnyHughes

JohnnyHughes

2014-06-27 13:15

administrator   ~0020091

OK, this is fixed for C7 release. I also now have ipa flagged as a modified RPM in C6, and will push it the next time an ipa update is released by Red Hat for C6.
tigalch

tigalch

2014-10-07 17:53

manager   ~0021083

Considering this as solved then.

Issue History

Date Modified Username Field Change
2014-02-01 18:45 JHogarth New Issue
2014-02-01 18:49 tigalch Product Version => 6.5
2014-02-01 18:49 tigalch Additional Information Updated
2014-02-04 17:45 tigalch Category -OTHER => ipa-server
2014-02-04 18:38 tigalch Note Added: 0019217
2014-02-04 18:38 tigalch Status new => confirmed
2014-02-04 19:20 tigalch Status confirmed => assigned
2014-06-26 11:06 tigalch Note Added: 0020051
2014-06-26 11:14 tigalch Relationship added related to 0007257
2014-06-27 13:15 JohnnyHughes Note Added: 0020091
2014-10-07 17:53 tigalch Note Added: 0021083
2014-10-07 17:53 tigalch Status assigned => resolved
2014-10-07 17:53 tigalch Resolution open => fixed
2014-10-20 12:14 shengvvvvv Issue cloned: 0007724